/*
Theme Name:     stickers.kz
Theme URI:      /
Description:    Дочерняя тема на базе Monstroid2 для сайта stickers.kz
Author:         Solvers Group
Author URI:     https://solvers.group/
Template:       monstroid2
Version:        2.5.0
*/

/* ===========================
   Основные стили
   =========================== */

.site-content {
  min-height: 70vh;
}

.woocommerce-product-rating {
  display: none;
}

.star-rating {
  display: none !important;
}

.pi-edd-method-estimate p {
  font-size: 8pt;
  margin: 0;
}

.pi-edd.pi-edd-product.pi-variable-estimate {
  padding: 0;
  margin: 0;
  clear: both;
  text-align: left;
  font-size: 14px;
  font-weight: bold;
}

h1 {
  font-size: 2em;
  margin: 0.67em 0;
}

ul.woocommerce-mini-cart.cart_list.product_list_widget {
  max-height: 200px;
  overflow: auto;
}

span.optional {
  display: none;
}

textarea::placeholder,
input::placeholder {
  color: #949494;
}

th {
  font-weight: normal;
}

dl.variation {
  margin: 0;
}

.woocommerce-cart-form__cart-item .variation {
    margin-top: 16px;
    display: flex;
    gap: 6px;
    flex-wrap: wrap;
}

button[name='update_cart'] {
  display: none !important;
}

a.how-to-products {
  display: block;
  color: #1d91fe;
  margin-top: 10px;
}

.checkout .col-1 {
  position: sticky;
  top: 30px;
}

@media (max-width: 940px) {
  div#my-account-menu {
    display: none;
  }
  
  .woocommerce-cart .woocommerce {
      flex-direction: column;
  }
}



/* ===========================
   Страница оформления заказа - переключатель типа плательщика
   =========================== */
.customer_types {
       display: flex;
       gap: 12px;
       margin-top:20px;
}

.customer_types-toggle {
  position: relative;
  display: inline-block;
  width: 44px;
  height: 24px;
}

.customer_types-toggle input {
  opacity: 0;
  width: 0;
  height: 0;
  position: absolute;
}

.customer_types-slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #DADADA;
  transition: all 0.4s ease;
  border-radius: 12px;
  will-change: background-color;
}

.customer_types-slider:before {
  position: absolute;
  content: "";
  width: 26px;
  height: 20px;
  left: 2px;    
  top: 2px;    
  background-color: #fff;
  border-radius: 12px;
  transition: all 0.4s ease;
  will-change: transform;
  backface-visibility: hidden;
}

.customer_types-toggle input:checked + .customer_types-slider {
  background-color: #095EF7;
}

.customer_types-toggle input:checked + .customer_types-slider:before {
  transform: translateX(14px);
}

.customer_types-toggle input:focus + .customer_types-slider {
  outline: none;
}

.customer_types-slider:active:before {
  transform: translateX(2px) scale(0.95);
}

.customer_types-toggle input:checked + .customer_types-slider:active:before {
  transform: translateX(18px) scale(0.95);
}



/* ===========================
   Страница корзины
   =========================== */


.woocommerce-cart table.cart {
  width: 100%;
  border: 1px solid #d4d4d4;
}

.totals-heading {
  font-weight: 500;
  font-family: Bounded Variable;
  font-size: 30px;
  margin:0 0 40px 0;
}

.coupon {
    margin-top: 30px;
}

#coupon_code {
  padding: 10px 16px;
  border: 0;
  border-radius: 8px; /* Скругление со всех сторон по умолчанию */
}

button.button.button-coupon {
    border-radius: 0 10px 10px 0;
    height: 37px;
    position: absolute;
    background: #fff;
    color: #262626;
    right: 10px;
    transition:background .35s ease;
}
button.button.button-coupon:hover{background:#fff;color:#FF3600;}

.woocommerce-cart .woocommerce {
  display: flex;
}

.wc-proceed-to-checkout {
    margin: 30px 0;
}

.cart-btn, .checkout-btn{
  width:100%;
  display:inline-block;
  padding:12px 20px 10px;
  font-size:22px;
  font-family:'Bounded Variable',display;
  font-weight:400;
  text-align:center; 
  background:#262626;
  color:#fff;
  border-radius:16px;
  text-decoration:none;
  line-height:1;
  transition:background .35s ease;
}
.checkout-btn:hover, .cart-btn:hover{background:#FF3600;color:#fff;}

/* ====== МОБИЛЬНАЯ ВЕРСИЯ ====== */
@media (max-width:767.98px){
  .cart-btn{
    padding:10px 16px 8px;              /* равномерные боковые отступы */
    font-size:20px;
  }
}

i.fa.fa-trash-o {
  margin-right: 3px;
  font-size: 16px;
}

/* Some minor tweak to make sure the cart totals fill the space */
.woocommerce-cart .cart-collaterals .cart_totals {
  width: 100%;
  padding: 40px 30px;
}

.woocommerce-cart .cart-collaterals {
    background: #F5F5F5;
    border-radius: 16px;
}


.totals-line.order-total {
    margin-top: 40px;
    font-family: 'Bounded Variable';
    font-size: 22px;
    font-weight: 500;
}

@media (max-width: 780px) {
    
    .woocommerce-cart .cart-collaterals .cart_totals {
        padding: 30px 16px;
    }
}
@media (max-width: 1100px) {
  .woocommerce-cart .woocommerce .cart-collaterals {
    width: 100%;
  }
}

/* ----------  НИЖНИЙ КОНТЕЙНЕР  ---------- */
.cart-bottom{
    margin-top: 30px;
    display:flex;                /* два блока в строку */
    gap:20px;                    /* расстояние между ними */
    flex-wrap:nowrap;
}

/* ----------  ОБЩИЕ НАСТРОЙКИ ДВУХ ПРЯМОУГОЛЬНИКОВ  ---------- */
.bottom-bonus-cart,
.clear-cart{
    padding: 12px 30px;
    background: #f3f3f3;
    border-radius: 16px;
    overflow: visible;
}

/* ----------  БЛОК «БОНУСЫ»  ---------- */
.bottom-bonus-cart{
    flex:1 1 auto;
    display:flex;
    flex-direction:row-reverse;  /* иконка справа */
    align-items:center;
    justify-content:space-between;
    gap:12px;
    transition:transform .3s ease;
}

.bottom-img img{
    width: 110px;
    margin: -35px 0;
    height: auto;
    display: block;
}

/* текст */
.bottom-title{line-height:1.2;}

.bottom-title{
    margin:0;
    font:600 18px/1.2 Golos text;
}

/* ----------  КНОПКА «ОЧИСТИТЬ КОРЗИНУ»  ---------- */
.clear-cart{
    color: #8B8B8B;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    flex: 0 0 300px;
    width: 300px;
}

.clear-cart i{font-size:16px;}

.clear-cart:hover {
  color: #ff3600;
}

/* ----------  АДАПТИВ  ---------- */
@media (max-width:780px){
    .bottom-bonus-cart,
    .clear-cart{
        padding: 12px 16px;
    }
        
    .cart-bottom{
        flex-direction:column;
        margin-top:20px;
    }

    /* кнопка первой, блок бонусов ниже */
    .clear-cart{
        order:-1;
        flex: 0;
        width: auto;
    }
    
    .bottom-bonus-cart {order: 0;}

    .bottom-title{font-size:16px; margin:0 0 3px;}

    .bottom-img img{
        width:130px;
        margin-top:0;
        margin-left:0;
        margin-bottom:0;
    }
}

/* ===========================
   Отзывы
   =========================== */
   .cr-reviews-grid {
    padding: 0;
  }

  .cr-reviews-grid-inner {
    gap: 25px;
  }

  .cr-reviews-grid .cr-review-card {
    padding: 0;
    border-radius: 16px;
    margin: 0 0 25px;
  }

.cr-reviews-grid .cr-review-card .top-row .review-thumbnail img, .cr-reviews-slider .cr-review-card .top-row .review-thumbnail img {
    max-width: 36px;
    max-height: 36px;
}

.cr-reviews-grid .cr-review-card .rating-row {
  padding: 0;
  margin: 0;
  gap: 16px;
}

.cr-reviews-grid .cr-review-card .image-row {
  width: auto;
  height: 230px;
  border-radius: 12px;
  overflow: hidden;
  margin: 0 30px 30px;
}

.cr-reviews-grid .cr-review-card .image-row .image-row-count, .cr-reviews-grid .cr-review-card .image-row .media-row-count {
  background: #0009;
}

.cr-reviews-grid .cr-review-card .image-row .image-row-img {
  width: 100%;
  height: 100%;
  cursor: pointer;
  object-fit: cover;
  object-position: center;
}

.cr-reviews-grid .cr-review-card .top-row {
  padding: 30px 30px 20px;
  border-bottom: none;
  margin: 0;
}

.cr-reviews-grid .cr-review-card .top-row .reviewer, .cr-reviews-slider .cr-review-card .top-row .reviewer {
  row-gap: 0;
}

.cr-reviews-grid .cr-review-card .top-row .review-thumbnail, .cr-reviews-slider .cr-review-card .top-row .review-thumbnail {
  margin-right: 12px;
  flex-basis: 0;
}

.cr-reviews-grid .cr-review-card .top-row .reviewer .reviewer-name, .cr-reviews-slider .cr-review-card .top-row .reviewer .reviewer-name {
  font-family: 'Bounded Variable';
  font-weight: normal;
  font-size: 16px;
  line-height: 1;
  color: #262626;
}

.cr-review-card-content .product-title a {
  color: #a3a3a3;
  font-size: 14px;
}

.cr-review-card-content .datetime {
  color: #a3a3a3;
  line-height: 1;
}

.cr-reviews-grid .cr-review-card .middle-row, .cr-reviews-grid .cr-review-card .cr-incentivized-row {
  padding: 0 30px 30px;
  background: #f5f5f5;
  border: none;
  border-radius: 6px;
  font-family: 'Golos Text';
  line-height: 20px;
  margin: 0;
}

@media (max-width: 780px) {

.cr-reviews-grid .cr-review-card .top-row {
  padding: 20px 16px;
}

.cr-reviews-grid .cr-review-card .middle-row, .cr-reviews-grid .cr-review-card .cr-incentivized-row {
  padding: 0 20px 20px;
}

.cr-reviews-grid .cr-review-card .image-row {
  margin: 0 20px 20px;
}

.cr-reviews-grid .cr-review-card .rating-row {
  align-items: flex-start;
  gap: 12px;
  flex-direction: column;
}



}
/* ===========================
   Прочее
   =========================== */

.cdekfw-pvz-block,
#cdekfw-map-trigger {
  position: relative;
  z-index: 10;
}

a.button-social-login.button-social-login-google {
  background: #fff !important;
  color: #000;
  border-color: #dedede !important;
  border-width: 1px;
  box-shadow: none;
  font-weight: unset;
  font-size: 10pt;
  width: 310px;
  text-align: center;
  padding: 5px;
}

/* ===========================
   Блок новостей
   =========================== */

.grid-item .post-thumbnail {
  margin-bottom: 5px;
}

.post-thumbnail img {
  border-radius: 15px;
  box-shadow: 0px 0px 15px #efefef;
}

@media (min-width: 940px) {
  .posts-list.posts-list--grid.list-style-default .grid-item,
  .posts-list.posts-list--grid.list-style-v2 .grid-item,
  .posts-list.posts-list--grid.list-style-v6 .grid-item {
    margin: 20px 0;
  }
}

/* ===========================
   Мой аккаунт - баллы
   =========================== */

.user-info {
  align-items: center;
  display: flex;
  flex-direction: column;
}

.sticker-points {
  color: #fff;
  background: #ff3600;
  border-radius: 50pt;
  align-items: center;
  padding: 0 0 0 6px;
  display: flex;
  font-size: 14px;
  font-weight: 500;
  line-height: 1;
}

.points-img {
  margin: 4px;
}

.points-amount {
  display: inline-flex;
  align-items: center;
}

.menu-points-amount {
  display: inline-flex;
  align-items: center;
  gap: 12px;
  margin:  0 0 -4px;
}

@media (max-width: 940px) {
  .menu-points-amount {
    width: 70%;
  }
}

.your-points {
  padding-right: 10px;
  font-size: 10pt;
}

span.points-description {
  color: #858585;
  font-size: 8pt;
  display: block;
  text-align: center;
  margin: 10px;
}

.sticker-points .wps_wpr_shortcode_wrapper {
  display: inline-block;
  color: #fff;
  font-weight: 500;
}

div#wps_wpr_order_notice {
  display: none;
}

.wlr-myaccount-page {
  padding: 0;
}

.wlr-myaccount-page .wlr-transaction-blog {
  margin-top: 0;
  margin-bottom: 0;
}

.wlr-myaccount-page .wlr-heading {
  border-left: none;
}

a#wlr-next-button {
  padding: 5px 10px;
  border-radius: 5px;
  background: #e60020;
  color: #fff;
}

div#wlr-transaction-table table {
  width: 100%;
}

div#wlr-transaction-details-table {
  width: 100%;
}

/* ===========================
   Загрузка аватара
   =========================== */

.woocommerce .yith-wcmap .user-profile .user-avatar.avatar-upload:after {
  content: '';
  display: block;
  position: absolute;
  right: 0;
  bottom: 7px;
  width: 80px;
  height: 80px;
  border-radius: 50%;
  background: url("/wp-content/plugins/yith-woocommerce-customize-myaccount-page/assets/images/photo.svg") #dddddd no-repeat;
  background-position: 28px 30px;
  background-size: 20px;
  transition: 0.5s;
  opacity: 0;
}

.woocommerce .yith-wcmap .user-profile .user-avatar.avatar-upload:hover::after {
  opacity: 1;
}

/* ===========================
   YITH MyAccount
   =========================== */

.avatar {
  border: 1px solid #ddd;
}

.yith-wcmap .user-profile {
  display: inline-flex;
  align-items: center;
  flex-wrap: wrap;
  margin-bottom: 0 !important;
  flex-direction: row;
  width: 100%;
  justify-content: space-around;
}

.yith-wcmap .user-profile .user-avatar {
  margin-right: 0 !important;
}

#my-account-menu .user-profile .username {
  margin: 0;
  padding: 7px 0;
  font-size: 10pt;
}

ul.myaccount-menu {
  border-top: 1px solid #ddd;
  margin-top: 20px;
  padding-top: 20px;
}

#my-account-menu .myaccount-menu li > a {
  padding-left: 0 !important;
}

/* Убираем страну - временное решение */
p#billing_country_field {
  display: none;
}

/* ===========================
   Страница бизнеса
   =========================== */

.container-business {
  padding: 10px;
  font-size: 18px;
  font-weight: bold;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  width: 100%;
  gap: 40px;
}

.left-link-business {
  border: 2px solid #e60020;
  border-radius: 10px;
  color: #e60020;
  padding: 10px 15px;
  text-decoration: none;
  cursor: pointer;
}

.left-link-business:hover {
  border-color: #000;
  color: #000;
}

.right-link-business {
  color: black;
  text-decoration: none;
  cursor: pointer;
}

.right-link-business:hover {
  color: #a5a5a5;
}

@media screen and (max-width: 767px) {
  .container-business {
    flex-direction: column;
    align-items: stretch;
    text-align: center;
  }

  .left-link-business,
  .right-link-business {
    width: 100%;
    box-sizing: border-box;
  }
}

/* Управление текстом кнопки на разных устройствах */
.cdekfw-btn-text-mobile {
    display: none;
}

.cdekfw-btn-text-desktop {
    display: inline;
}

/* Responsive styles */
@media (max-width: 768px) {
    
    /* Показывать короткий текст на мобильных устройствах */
    .cdekfw-btn-text-mobile {
        display: inline;
    }
    
    .cdekfw-btn-text-desktop {
        display: none;
    }
}
